## GISignalInfo

GISignalInfo — Struct representing a signal

## Functions

#define | GI_IS_SIGNAL_INFO()
GSignalFlags | g_signal_info_get_flags ()
GIVFuncInfo * | g_signal_info_get_class_closure ()
gboolean | g_signal_info_true_stops_emit ()

## Types and Values

typedef | GISignalInfo

## Description

GISignalInfo represents a signal.

It's a sub-struct of GICallableInfo and contains a set of flags and a class closure.

See GICallableInfo for information on how to retreive arguments and other metadata from the signal.

## Functions

### GI_IS_SIGNAL_INFO()

    #define             GI_IS_SIGNAL_INFO(info)

Checks if `info` is a GISignalInfo.

#### Parameters

info | an info structure |

### g_signal_info_get_flags ()

    GSignalFlags
    g_signal_info_get_flags (GISignalInfo *info);

Obtain the flags for this signal info. See GSignalFlags for more information about possible flag values.

#### Parameters

info | a GISignalInfo |

#### Returns

the flags

### g_signal_info_get_class_closure ()

    GIVFuncInfo *
    g_signal_info_get_class_closure (GISignalInfo *info);

Obtain the class closure for this signal if one is set. The class closure is a virtual function on the type that the signal belongs to. If the signal lacks a closure `NULL` will be returned.

#### Parameters

info | a GISignalInfo |

#### Returns

the class closure or `NULL`.

[transfer full]

### g_signal_info_true_stops_emit ()

    gboolean
    g_signal_info_true_stops_emit (GISignalInfo *info);

Obtain if the returning true in the signal handler will stop the emission of the signal.

#### Parameters

info | a GISignalInfo |

#### Returns

`TRUE` if returning true stops the signal emission

## Types and Values

### GISignalInfo

    typedef GIBaseInfo GISignalInfo;

Represents a signal.